John-

Yes, there are plans to implement Jython 3.0+ in the future.  However, the next target will be either Jython 2.6 or 2.7.  There were some important advances made in Python 2.6, 2.7 that make transitioning to 3.0+ much easier.  Therefore, it makes sense to bring Jython to a 2.6 or 2.7 prior to making the leap to 3.0+.  Also, although 3.0 has some excellent features, it is not very widely adopted as yet.  The Jython project will be better off to advance to the same level as Python in the 2.x series as it will serve a wider range of developers at this time.

Hope this helps.  Thanks!

Josh Juneau
juneau001@gmail.com
http://jj-blogger.blogspot.com
http://www.jythonpodcast.com
Twitter ID:  javajuneau


On Thu, Oct 14, 2010 at 5:27 AM, <john.m.baker@nomura.com> wrote:

Hello,

Are there any plans to implement Python 3.0+, or is Jython going to stay with Python 2.5?


John



This e-mail (including any attachments) is confidential, may contain
proprietary or privileged information and is intended for the named
recipient(s) only. Unintended recipients are prohibited from taking action
on the basis of information in this e-mail and must delete all copies.
Nomura will not accept responsibility or liability for the accuracy or
completeness of, or the presence of any virus or disabling code in, this
e-mail. If verification is sought please request a hard copy. Any reference
to the terms of executed transactions should be treated as preliminary only
and subject to formal written confirmation by Nomura. Nomura reserves the
right to monitor e-mail communications through its networks (in accordance
with applicable laws). No confidentiality or privilege is waived or lost by
Nomura by any mistransmission of this e-mail. Any reference to "Nomura" is
a reference to any entity in the Nomura Holdings, Inc. group. Please read
our Electronic Communications Legal Notice which forms part of this e-mail:
http://www.Nomura.com/email_disclaimer.htm

------------------------------------------------------------------------------
Beautiful is writing same markup. Internet Explorer 9 supports
standards for HTML5, CSS3, SVG 1.1,  ECMAScript5, and DOM L2 & L3.
Spend less time writing and  rewriting code and more time creating great
experiences on the web. Be a part of the beta today.
http://p.sf.net/sfu/beautyoftheweb
_______________________________________________
Jython-users mailing list
Jython-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/jython-users